com.google.appengine.api.search

## Class SortOptions

- java.lang.Object
- - com.google.appengine.api.search.SortOptions

-     public final class SortOptions
      extends java.lang.Object

  Definition of how to sort documents. You may specify zero or more sort expressions and set a match scorer. If you have a large index, it is advisable to set a limit.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SortOptions.Builder` A builder that constructs `SortOptionss`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchParams.Builder` | `copyToProtocolBuffer(SearchParams.Builder builder)`
    `int` | `getLimit()`
    `MatchScorer` | `getMatchScorer()`
    `java.util.List<SortExpression>` | `getSortExpressions()`
    `static SortOptions.Builder` | `newBuilder()` Creates and returns a SortOptions Builder.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSortExpressions

          public java.util.List<SortExpression> getSortExpressions()

      Returns:
        a list of sort expressions representing a multi-dimensional sort

    - #### getMatchScorer

          public MatchScorer getMatchScorer()

      Returns:
        a `MatchScorer` used to score the documents

    - #### getLimit

          public int getLimit()

      Returns:
        the limit on the number of documents to score or sort

    - #### newBuilder

          public static SortOptions.Builder newBuilder()

      Creates and returns a SortOptions Builder.
      Returns:
        a new `SortOptions.Builder`. Set the parameters for SortOptions on the Builder, and use the `SortOptions.Builder.build()` method to create a concrete instance of SortOptions

    - #### copyToProtocolBuffer

          public SearchParams.Builder copyToProtocolBuffer(SearchParams.Builder builder)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`